PETSc version 3.15.5
Fix/Edit manual page

# MatAYPX

Computes Y = a*Y + X.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatAYPX(Mat Y,PetscScalar a,Mat X,MatStructure str)

Logically on Mat

### Input Parameters

| a | - the PetscScalar multiplier
| Y | - the first matrix
| X | - the second matrix
| str | - either SAME_NONZERO_PATTERN, DIFFERENT_NONZERO_PATTERN, UNKNOWN_NONZERO_PATTERN, or SUBSET_NONZERO_PATTERN (nonzeros of X is a subset of Y's)

### See Also

MatAXPY()

### Level

intermediate

### Location

src/mat/utils/axpy.c

### Examples

src/ksp/ksp/tutorials/ex76.c.html
src/ksp/ksp/tutorials/ex77.c.html
src/ksp/ksp/tutorials/ex77f.F90.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages